<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar>
        <q-btn flat dense round @click="leftDrawerOpen = !leftDrawerOpen" aria-label="Menu">
          <q-icon name="menu" />
        </q-btn>

        <q-toolbar-title>{{$route.name}}</q-toolbar-title>
      </q-toolbar>
    </q-header>

    <q-drawer v-model="leftDrawerOpen" bordered content-class="bg-grey-2">
      <q-list>
        <q-item-label header>Menu</q-item-label>
        <q-item clickable @click="backHome()">
          <q-item-section avatar>
            <q-icon name="home" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Home</q-item-label>
          </q-item-section>
        </q-item>
        <q-expansion-item v-model="expanded" icon="credit_card" label="Transação">
          <div class="q-px-md">
            <q-item clickable @click="listTransaction()">
              <q-item-section avatar>
                <q-icon name="list" />
              </q-item-section>
              <q-item-section>
                <q-item-label>Listar</q-item-label>
              </q-item-section>
            </q-item>
            <q-item clickable @click="newTransaction()">
              <q-item-section avatar>
                <q-icon name="add" />
              </q-item-section>
              <q-item-section>
                <q-item-label>Cadastrar</q-item-label>
              </q-item-section>
            </q-item>
          </div>
        </q-expansion-item>
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
export default {
  name: 'MyLayout',
  data () {
    return {
      leftDrawerOpen: this.$q.platform.is.desktop,
      expanded: true
    }
  },
  methods: {
    backHome () {
      this.$router.push({ path: `/home` })
    },
    listTransaction () {
      this.$router.replace('/transacao')
    },
    newTransaction () {
      this.$router.push('transacao/novaTransacao')
    }
  }
}
</script>

<style>
</style>
